Subject: DEPLOY: IPR/GPL

From: Yakov Shafranovich <[email-masked]>
Date: Thu, 26 Aug 2004 11:11:18 -0400

The following two messages are from Eben Moglen of FSF and Larry Rosen
of OSI. I have received permission from both of them to forward these
messages to the list. And yes, they are both lawyers.

(In my personal opinion, in light of the fact that the licensing 
situation is tricky, I would add that the deployment of this standard is 
likely to be hindered until this issue is resolved.)

> -------- Original Message --------
> Subject: Re: Microsoft, Sender-ID and GPL
 > Date: Thu, 26 Aug 2004 10:57:28 -0400
 > From: Eben Moglen
> 
> The license posted by Microsoft is not compatible with GPL and is not
>  a free software compatible license.  There are several problems, of 
> which the most severe is the requirement that anyone who wants to 
> redistribute a covered implementation must execute a license with 
> Microsoft.  If you cannot give people code that they can redistribute
>  without permission, you are not giving them free software.  This
> would be the conclusion under all the meta-definitions of freedom:
> the OSD, the FSD, and the Debian FSG.
> 
> Eben

-----
> -------- Original Message --------
 > Subject: RE: Microsoft, Sender-ID and GPL
 > Date: Tue, 24 Aug 2004 19:38:37 -0700
 > From: Lawrence Rosen
> Organization: Rosenlaw & Einschlag
> 
> This Microsoft license is *not* compatible with open source.
> 
> /Larry Rosen

There is also a quote in this news story
(http://www.eweek.com/article2/0,1759,1639556,00.asp) from Larry Rosen:

> Lawrence Rosen, a partner in the law firm Rosenlaw & Einschlag and
> author of "Open Source Licensing: Software Freedom and Intellectual
> Property Law," said he has "explained to Microsoft that their license
> is expressly incompatible with the warranty of provenance in the
> Academic Free License and the Open Software License."
> 
> Specifically, he said, "the 'nontransferable, non-sublicenseable'
> language in their reciprocal patent license imposes an impossible
> administrative burden on the open-source development community and,
> in essence, creates additional downstream patent licenses that will
> be incompatible with the AFL/OSL and similar open-source licenses,
> and with the open-source development process."
> 
> Rosen added that some issues go beyond just open-source concerns.
> "The requirement that 'If you would like a license from Microsoft
> (e.g., rebrand, redistribute), you need to contact Microsoft
> directly' gives Microsoft information about its competitors' plans
> that it has no reason to know."
> 
> In addition, he said, "No open-source license—and all of them allow
> rebranding and distribution—can be conditioned on informing Microsoft
> of anything at all. Other proposed licenses have been rejected by OSI
> [Open Source Initiative] and FSF [Free Software Foundation] because
> they required licensees to notify the licensor of their intentions."

---

From: wayne <[email-masked]>
Date: Thu, 26 Aug 2004 11:40:15 -0500

> messages to the list. And yes, they are both lawyers.

Ok, in light of opinions express by these two knowlegable lawyers that
the SenderID license is not compatible with open source licenses, the
GPL, AFL and OSL in particular, I now feel comfortable saying that I
strongly oppose the advancement of the marid-core and marid-pra I-Ds.
They can not be deployed in too much of the existing email
infrastructure on the Internet.   I also oppose the advancement of
marid-submitter on the grounds that it is irrelevant without the other
two I-Ds.

In <[email-masked]> Andrew Newton <[email-masked]> writes:

> On Aug 26, 2004, at 8:54 AM, wayne wrote:
>
>> Instead of addressing [the suggestion of an early decision on the
>> SenderID license], PHB has tried to reframe the discussion.
>
> If you are admonishing Phil, your energy is misplaced.  It is not your
> place to decide the schedules of this working group nor how consensus
> is arrived at in this working group.

You are right, it is not my place, it is *your* place.  And you didn't
answer the question in your reply, I ask you again:

Can there be an early decision on the SenderID license?

While I think license issue is very important to discuss, the volume
is such that it is drowning out most other discussions about the
I-Ds.  

In <[email-masked]> Margaret Olson <[email-masked]> writes:

> I largely agree with Phill, but let me try to present the issue a
> slightly different way. I use several MTA implementations, both
> commercial and open source. I've concluded that the current license
> will allow me to continue to have a good selection of open source and
> commercial choices with Sender ID implementations. Open source is open
> source - Sender ID is sufficiently valuable that I'm convinced that
> viable Sender ID variants will emerge, even if they are not
> distributed  in quite the same way that the code is today. Both Eric
> Allman and  Phill have discussed ways to approach this problem. I am
> speaking as  someone who intends to implement receive side Sender ID
> as soon as  possible.

I would be interested in learning on what basis you think that open
source developers will risk violating the open source licenses in
order to support SenderID.

Other than Eric Allman, I know of no other open source developer who
is willing to even do the work needed to support SenderID with the
current license.  Who do you think will do the required work?  Are you
offering to pay for the development they way Meng offered for SPF?
(Mind you, Meng didn't end up having to pay much since, unlike
SenderID with the current license, many open source developers
volunteered.)

-wayne

---

From: wayne <[email-masked]>
Date: Thu, 26 Aug 2004 11:40:15 -0500

-wayne